Redmine - Defect #18291

Path property security issue when adding filesystem repository
2014-11-06 10:21 - Bahri Yardim

Status: Closed Start date:

Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Security Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

When adding a filesystem repository, one can enter whatever he wants into "path" property. This can lead to security issues. For
example i entered "/" as path to a redmine project and i was able to see and modify all of the server root (linux) in which the
application runs. (Such behaviour can be replicated in windows hosts by entering "C:/" into path).

So a folder definition for all repositories must be set in a config file (not via admin panel because it must not be changed). So that
whatever path is entered, the root path will be the one set in config file.

| think this is a serious security issue.

You can see screenshots for information.

Related issues:
Is duplicate of Redmine - Feature #1415: Let system administrator limit repos... Closed 2008-06-09

History

#1 - 2014-11-07 02:35 - Go MAEDA
- Related to Feature #17164: file:/// repository insecure added

#2 - 2014-11-07 02:44 - Go MAEDA
- Related to Feature #13038: Base path for filesystem repository adapter added

#3 - 2014-11-08 11:58 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a dup of #1415 which is addressed for 3.0 by adding configuration settings to limit valid repository path.

#4 - 2014-11-08 11:59 - Jean-Philippe Lang
- Related to deleted (Feature #17164: file:/// repository insecure)

#5 - 2014-11-08 11:59 - Jean-Philippe Lang
- Related to deleted (Feature #13038: Base path for filesystem repository adapter)

#6 - 2014-11-08 11:59 - Jean-Philippe Lang

- Is duplicate of Feature #1415: Let system administrator limit repositories valid sources added

Files
1.png 11.4 KB 2014-11-06 Bahri Yardim
2.png 33.3 KB 2014-11-06 Bahri Yardim

2025-07-01 1/1



https://www.redmine.org/issues/1415
http://www.tcpdf.org

